import { http } from '@/services/api/http'
import { buildUrl, endpoints } from '@/services/api/endpoints'

export const apiGetStudentCertificates = (params) =>
  http.get(endpoints.getStudentCertificates, { params })

export const apiDownloadStudentCertificate = (id, format = 'pdf') =>
  http.get(buildUrl(endpoints.downloadStudentCertificate, { id }), { params: { format } })
